Bug 583691 - Cannot use n900 as a modem
Cannot use n900 as a modem
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
15
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Reopened
: 637138 706423 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-19 08:39 EDT by ufa
Modified: 2011-11-24 20:57 EST (History)
18 users (show)

See Also:
Fixed In Version: ModemManager-0.4.998-1.git20110706.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-18 18:36:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ufa 2010-04-19 08:39:14 EDT
Description of problem:
Cannot use n900 as a 3G modem. dmesg says:

cdc_acm 1-1:1.6: This device cannot do calls on its own. It is not a modem.

It appears on NetworkManager though. But when I choose to connect, it does not connect.
Fedora 13 up to date. It also happened on my Fedora 12 box. 
Tested on an Debian and Ubuntu machine and all works ok.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Connect usb cable to machine
2. Try to connect throught NM
3. Does not connect
  
Actual results:
Does not connect

Expected results:
Connecting on 3G/2G network.

Additional info:
Works with other modems, like N95 cellphone and HUAWEI. Only n900 is problematic. It also creates a USB0 interface.


Here it follows dmesg when I connect:

usb 1-1: new high speed USB device using ehci_hcd and address 6
usb 1-1: New USB device found, idVendor=0421, idProduct=01c8
usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-1: Product: N900 (PC-Suite Mode)
usb 1-1: Manufacturer: Nokia
cdc_acm 1-1:1.6: This device cannot do calls on its own. It is not a modem.
cdc_acm 1-1:1.6: ttyACM0: USB ACM device
usbcore: registered new interface driver cdc_acm
cdc_acm: v0.26:USB Abstract Control Model driver for USB modems and ISDN adapters
NET: Registered protocol family 35
usbcore: registered new interface driver cdc_phonet
usb0: register 'cdc_ether' at usb-0000:00:1d.7-1, CDC Ethernet Device, 0a:44:b4:66:08:ed
usbcore: registered new interface driver cdc_ether
usb0: no IPv6 routers present
nm-connection-e used greatest stack depth: 5052 bytes left
nm-connection-e used greatest stack depth: 4912 bytes left
usbcore: deregistering interface driver cdc_acm
usb 1-1: USB disconnect, address 6

/var/log/messages:pr 19 08:40:42 pingu kernel: usb 1-1: new high speed USB device using ehci_hcd and address 6
Apr 19 08:40:42 pingu kernel: usb 1-1: New USB device found, idVendor=0421, idProduct=01c8
Apr 19 08:40:42 pingu kernel: usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Apr 19 08:40:42 pingu kernel: usb 1-1: Product: N900 (PC-Suite Mode)
Apr 19 08:40:42 pingu kernel: usb 1-1: Manufacturer: Nokia
Apr 19 08:40:43 pingu kernel: cdc_acm 1-1:1.6: This device cannot do calls on its own. It is not a modem.
Apr 19 08:40:43 pingu kernel: cdc_acm 1-1:1.6: ttyACM0: USB ACM device
Apr 19 08:40:43 pingu kernel: usbcore: registered new interface driver cdc_acm
Apr 19 08:40:43 pingu kernel: cdc_acm: v0.26:USB Abstract Control Model driver for USB modems and ISDN adapters
Apr 19 08:40:43 pingu kernel: NET: Registered protocol family 35
Apr 19 08:40:43 pingu kernel: usbcore: registered new interface driver cdc_phonet
Apr 19 08:40:43 pingu kernel: usb0: register 'cdc_ether' at usb-0000:00:1d.7-1, CDC Ethernet Device, 0a:44:b4:66:08:ed
Apr 19 08:40:43 pingu kernel: usbcore: registered new interface driver cdc_ether
Apr 19 08:40:43 pingu NetworkManager: <info> (usb0): carrier is OFF
Apr 19 08:40:43 pingu NetworkManager: <info> (usb0): new Ethernet device (driver: 'cdc_ether')
Apr 19 08:40:43 pingu NetworkManager: <info> (usb0): exported as /org/freedesktop/NetworkManager/Devices/2
Apr 19 08:40:43 pingu NetworkManager: <info> (usb0): now managed
Apr 19 08:40:43 pingu NetworkManager: <info> (usb0): device state change: 1 -> 2 (reason 2)
Apr 19 08:40:43 pingu NetworkManager: <info> (usb0): bringing up device.
Apr 19 08:40:43 pingu NetworkManager: <info> (usb0): preparing device.
Apr 19 08:40:43 pingu NetworkManager: <info> (usb0): deactivating device (reason: 2).
Apr 19 08:40:43 pingu NetworkManager: <info> Added default wired connection 'Auto usb0' for /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-1/1-1:1.8/net/usb0
Apr 19 08:40:43 pingu NetworkManager: <info> (usb0): carrier now ON (device state 2)
Apr 19 08:40:43 pingu NetworkManager: <info> (usb0): device state change: 2 -> 3 (reason 40)
Apr 19 08:40:43 pingu NetworkManager: <info> (usb0): carrier now OFF (device state 3)
Apr 19 08:40:43 pingu NetworkManager: <info> (usb0): device state change: 3 -> 2 (reason 40)
Apr 19 08:40:43 pingu NetworkManager: <info> (usb0): deactivating device (reason: 40).
Apr 19 08:40:43 pingu NetworkManager: <info> Connection 'Auto usb0' auto-activation failed: (2) Device not managed by NetworkManager
Apr 19 08:40:43 pingu modem-manager: (ttyACM0) opening serial device...
Apr 19 08:40:44 pingu modem-manager: (ttyACM0) closing serial device...
Apr 19 08:40:44 pingu modem-manager: (ttyACM0) opening serial device...
Apr 19 08:40:44 pingu modem-manager: (Nokia): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-1 claimed port ttyACM0
Apr 19 08:40:44 pingu modem-manager: (ttyACM0) closing serial device...
Apr 19 08:40:44 pingu NetworkManager: <info> (ttyACM0): new GSM device (driver: 'cdc_acm')
Apr 19 08:40:44 pingu NetworkManager: <info> (ttyACM0): exported as /org/freedesktop/NetworkManager/Devices/3
Apr 19 08:40:44 pingu NetworkManager: <info> (ttyACM0): now managed
Apr 19 08:40:44 pingu NetworkManager: <info> (ttyACM0): device state change: 1 -> 2 (reason 2)
Apr 19 08:40:44 pingu NetworkManager: <info> (ttyACM0): deactivating device (reason: 2).
Apr 19 08:40:44 pingu NetworkManager: <info> (ttyACM0): device state change: 2 -> 3 (reason 0)
Apr 19 08:40:45 pingu avahi-daemon[1078]: Registering new address record for fe80::844:b4ff:fe66:8ed on usb0.*.
Apr 19 08:41:05 pingu NetworkManager: <info> Activation (ttyACM0) starting connection 'Vivo Default'
Apr 19 08:41:05 pingu NetworkManager: <info> (ttyACM0): device state change: 3 -> 4 (reason 0)
Apr 19 08:41:05 pingu NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
Apr 19 08:41:05 pingu NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
Apr 19 08:41:05 pingu NetworkManager: <info> (ttyACM0): device state change: 4 -> 6 (reason 0)
Apr 19 08:41:05 pingu NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
Apr 19 08:41:06 pingu NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
Apr 19 08:41:06 pingu modem-manager: (ttyACM0) opening serial device...
Apr 19 08:41:06 pingu modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
Apr 19 08:41:09 pingu modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> disabled)
Apr 19 08:41:09 pingu modem-manager: (ttyACM0) closing serial device...
Apr 19 08:41:09 pingu NetworkManager: <info> (ttyACM0): device state change: 4 -> 9 (reason 28)
Apr 19 08:41:09 pingu NetworkManager: <info> Marking connection 'Vivo Default' invalid.
Apr 19 08:41:09 pingu NetworkManager: <info> (ttyACM0): device state change: 9 -> 3 (reason 0)
Apr 19 08:41:09 pingu NetworkManager: <info> (ttyACM0): deactivating device (reason: 0).
Apr 19 08:41:26 pingu NetworkManager: <info> Activation (ttyACM0) starting connection 'TIM Default 1'
Apr 19 08:41:26 pingu NetworkManager: <info> (ttyACM0): device state change: 3 -> 4 (reason 0)
Apr 19 08:41:26 pingu NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
Apr 19 08:41:26 pingu NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
Apr 19 08:41:26 pingu NetworkManager: <info> (ttyACM0): device state change: 4 -> 6 (reason 0)
Apr 19 08:41:26 pingu NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
Apr 19 08:41:26 pingu NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled..
Apr 19 08:41:26 pingu NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
Apr 19 08:41:26 pingu modem-manager: (ttyACM0) opening serial device...
Apr 19 08:41:26 pingu modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
Apr 19 08:41:30 pingu modem-manager: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> disabled)
Apr 19 08:41:30 pingu modem-manager: (ttyACM0) closing serial device...
Comment 1 ufa 2010-04-20 08:05:45 EDT
Just adding more info, with wvdial, it works ok, so, changed to NetworkManager Componet
Comment 2 Dan Williams 2010-04-23 17:48:12 EDT
Need additional modem-manager debugging:

http://live.gnome.org/NetworkManager/Debugging

in the section on "Debugging NetworkManager 0.8.x 3G connections".

Please also try:

https://admin.fedoraproject.org/updates/ModemManager-0.3-9.git20100409.fc13

which you can install by:

yum --enable-repo=updates-testing update ModemManager

and then restart and try again.  If it still fails, please get the modem-manager debug logs as described above and attach to this issue. THanks!
Comment 3 Dan Williams 2010-04-24 03:31:00 EDT
Also, what mode are you placing the device in when you connect?  Make sure you use "PC Suite" mode:

http://talk.maemo.org/showthread.php?t=36740
Comment 4 ufa 2010-04-24 10:34:22 EDT
Hi Dan,
It is in "PC Suite" mode, otherwise it would mount the phone as a mass storage device; and wouldn't connect via wvdial.
Comment 5 Dan Williams 2010-04-25 03:18:18 EDT
Ok, can you grab the latest ModemManager update (it's now in the normal updates repositories) and try that?  You'll want to restart after installing it, or you can also 'sudo killall -TERM modem-manager' as well.

Then we'll need additional modem-manager debugging:

http://live.gnome.org/NetworkManager/Debugging

in the section on "Debugging NetworkManager 0.8.x 3G connections".
Comment 6 ufa 2010-04-25 10:36:39 EDT
here it is:

 service NetworkManager stop
Parando o daemon NetworkManager:                           [  OK  ]
[root@pingu ~]# NM_PPP_DEBUG=1 /usr/sbin/NetworkManager --no-daemon
NetworkManager: <info> starting...
NetworkManager: <info> modem-manager is now available
NetworkManager:    ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
NetworkManager: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2008 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
NetworkManager: <info> found WiFi radio killswitch rfkill0 (at /sys/devices/pci0000:00/0000:00:1c.2/0000:05:00.0/ssb0:0/ieee80211/phy0/rfkill0) (driver <unknown>)
NetworkManager: <info> WiFi disabled by radio killswitch; disabled by state file
NetworkManager: <info> WWAN enabled by radio killswitch; enabled by state file
NetworkManager: <info> WiMAX enabled by radio killswitch; enabled by state file
NetworkManager: <info> Networking is enabled by state file
NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-eth0 ... 
NetworkManager:    ifcfg-rh:     read connection 'System eth0'
NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-wlan0 ... 
NetworkManager:    ifcfg-rh:     error: Missing SSID
NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 
NetworkManager: <info> (eth0): carrier is OFF
NetworkManager: <info> (eth0): new Ethernet device (driver: 'tg3')
NetworkManager: <info> (eth0): exported as /org/freedesktop/NetworkManager/Devices/0
NetworkManager: <info> (eth0): now managed
NetworkManager: <info> (eth0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info> (eth0): bringing up device.
NetworkManager: <info> (eth0): preparing device.
NetworkManager: <info> (eth0): deactivating device (reason: 2).
NetworkManager: <info> (wlan0): driver supports SSID scans (scan_capa 0x01).
NetworkManager: <info> (wlan0): new 802.11 WiFi device (driver: 'b43')
NetworkManager: <info> (wlan0): exported as /org/freedesktop/NetworkManager/Devices/1
NetworkManager: <info> (wlan0): now managed
NetworkManager: <info> (wlan0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info> (wlan0): bringing up device.
NetworkManager: <info> (wlan0): deactivating device (reason: 2).
-- Error received: File exists
-- Original message: type=0x14 length=56 flags=<REQUEST,ACK,ATOMIC> sequence-nr=1272205666 pid=4197482
NetworkManager: <warn> bluez error getting default adapter: The name org.bluez was not provided by any .service files
NetworkManager: <info> (usb0): carrier is OFF
NetworkManager: <info> (usb0): new Ethernet device (driver: 'cdc_ether')
NetworkManager: <info> (usb0): exported as /org/freedesktop/NetworkManager/Devices/2
NetworkManager: <info> (usb0): now managed
NetworkManager: <info> (usb0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info> (usb0): bringing up device.
NetworkManager: <info> (usb0): preparing device.
NetworkManager: <info> (usb0): deactivating device (reason: 2).
NetworkManager: <info> Added default wired connection 'Auto usb0' for /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-1/1-1:1.8/net/usb0
NetworkManager: <info> (usb0): carrier now ON (device state 2)
NetworkManager: <info> (usb0): device state change: 2 -> 3 (reason 40)
NetworkManager: <info> (usb0): carrier now OFF (device state 3)
NetworkManager: <info> (usb0): device state change: 3 -> 2 (reason 40)
NetworkManager: <info> (usb0): deactivating device (reason: 40).
NetworkManager: <info> Connection 'Auto usb0' auto-activation failed: (2) Device not managed by NetworkManager
NetworkManager: <info> (ttyACM0): new GSM device (driver: 'cdc_acm')
NetworkManager: <info> (ttyACM0): exported as /org/freedesktop/NetworkManager/Devices/3
NetworkManager: <info> (ttyACM0): now managed
NetworkManager: <info> (ttyACM0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info> (ttyACM0): deactivating device (reason: 2).
NetworkManager: <info> (ttyACM0): device state change: 2 -> 3 (reason 0)
NetworkManager: <info> Activation (ttyACM0) starting connection 'Vivo Padrão 1'
NetworkManager: <info> (ttyACM0): device state change: 3 -> 4 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> (ttyACM0): device state change: 4 -> 6 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> (ttyACM0): device state change: 6 -> 4 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <warn> GSM modem enable failed: (32) Serial command timed out
NetworkManager: <info> (ttyACM0): device state change: 4 -> 9 (reason 28)
NetworkManager: <info> Marking connection 'Vivo Padrão 1' invalid.
NetworkManager: <warn> Activation (ttyACM0) failed.
NetworkManager: <info> (ttyACM0): device state change: 9 -> 3 (reason 0)
NetworkManager: <info> (ttyACM0): deactivating device (reason: 0).
NetworkManager: <info> Activation (ttyACM0) starting connection 'Vivo Padrão 1'
NetworkManager: <info> (ttyACM0): device state change: 3 -> 4 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> (ttyACM0): device state change: 4 -> 6 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> (ttyACM0): device state change: 6 -> 4 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <warn> GSM modem enable failed: (32) Serial command timed out
NetworkManager: <info> (ttyACM0): device state change: 4 -> 9 (reason 28)
NetworkManager: <info> Marking connection 'Vivo Padrão 1' invalid.
NetworkManager: <warn> Activation (ttyACM0) failed.
NetworkManager: <info> (ttyACM0): device state change: 9 -> 3 (reason 0)
NetworkManager: <info> (ttyACM0): deactivating device (reason: 0).
Comment 7 ufa 2010-04-25 10:56:56 EDT
Versions:

ModemManager-0.3-9.git20100409.fc13.i686
NetworkManager-glib-0.8.0-7.git20100422.fc13.i686
NetworkManager-openconnect-0.8.0-1.git20100411.fc13.i686
NetworkManager-pptp-0.8.0-1.git20100411.fc13.i686
NetworkManager-vpnc-0.8.0-1.git20100411.fc13.i686
NetworkManager-gnome-0.8.0-7.git20100422.fc13.i686
NetworkManager-openvpn-0.8-2.git20100411.fc13.i686
NetworkManager-0.8.0-7.git20100422.fc13.i686
Comment 8 Dan Williams 2010-04-26 18:36:13 EDT
Ah, we want to do the bits for ModemManager:

    * Stop NetworkManager
    * killall -TERM modem-manager
    * modem-manager --debug

then grab the modem-manager --debug log and attach it here so we can analyze what's going wrong with talking to the N900.
Comment 9 Dan Williams 2010-04-26 18:36:52 EDT
And obviously after those 3 steps continue as shown in http://live.gnome.org/NetworkManager/Debugging :

    * in another terminal, run NetworkManager like so: 

NM_PPP_DEBUG=1 /usr/sbin/NetworkManager --no-daemon

    * reproduce the problem

etc.
Comment 10 ufa 2010-04-27 07:45:08 EDT
For modem-manager:

[ufa@pingu ~]$ sudo modem-manager --debug
** Message: Loaded plugin Sierra
** Message: Loaded plugin Gobi
** Message: Loaded plugin MotoC
** Message: Loaded plugin Novatel
** Message: Loaded plugin Nokia
** Message: Loaded plugin Huawei
** Message: Loaded plugin Option
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Generic
** Message: Loaded plugin AnyData
** Message: Loaded plugin Longcheer
** Message: Loaded plugin ZTE
** Message: Loaded plugin Ericsson MBM
** (modem-manager:2215): DEBUG: (tty/ttyS0): could not get port's parent device
** (modem-manager:2215): DEBUG: (tty/ttyS1): could not get port's parent device
** (modem-manager:2215): DEBUG: (tty/ttyS2): could not get port's parent device
** (modem-manager:2215): DEBUG: (tty/ttyS3): could not get port's parent device
** (modem-manager:2215): DEBUG: (net/pan0): could not get port's parent device
** Message: (ttyACM0) opening serial device...
** (modem-manager:2215): DEBUG: (ttyACM0): probe requested by plugin 'Nokia'
** (modem-manager:2215): DEBUG: (ttyACM0): --> 'AT+GCAP<CR>'
** (modem-manager:2215): DEBUG: (ttyACM0): <-- '+GCAP<CR>'
** (modem-manager:2215): DEBUG: (ttyACM0): --> 'AT+GCAP<CR>'
** (modem-manager:2215): DEBUG: (ttyACM0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM,+DS,+W<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyACM0) closing serial device...
** Message: (ttyACM0) opening serial device...
** Message: (Nokia): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-1 claimed port ttyACM0
** (modem-manager:2215): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-1
** (modem-manager:2215): DEBUG: (tty/ttyACM0): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-1
** (modem-manager:2215): DEBUG: (ttyACM0): --> 'AT+CPIN?<CR>'
** (modem-manager:2215): DEBUG: (ttyACM0): <-- 'T+CPIN?'
** (modem-manager:2215): DEBUG: (ttyACM0): <-- '<CR>'
** (modem-manager:2215): DEBUG: (ttyACM0): --> 'AT+CPIN?<CR>'
** (modem-manager:2215): DEBUG: (ttyACM0): <-- 'AT+CPIN'
** (modem-manager:2215): DEBUG: (ttyACM0): <-- '?<CR><CR><LF>+CPIN: READY<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyACM0) closing serial device...
** (modem-manager:2215): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-1 as /org/freedesktop/ModemManager/Modems/0
** Message: (ttyACM0) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:2215): DEBUG: (ttyACM0): --> 'ATZ E0 V1<CR>'
** (modem-manager:2215): DEBUG: (ttyACM0): <-- 'TZ E0 V1'
** (modem-manager:2215): DEBUG: (ttyACM0): <-- '<CR>'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> disabled)
** Message: (ttyACM0) closing serial device...


** Message: (ttyACM0) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:2215): DEBUG: (ttyACM0): --> 'ATZ E0 V1<CR>'
** (modem-manager:2215): DEBUG: (ttyACM0): <-- 'TZ E0'
** (modem-manager:2215): DEBUG: (ttyACM0): <-- ' V1<CR>'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> disabled)
** Message: (ttyACM0) closing serial device...
Comment 11 ufa 2010-04-27 07:47:55 EDT
now for Network-manager (I think it is the same as before):

[ufa@pingu ~]$ sudo NM_PPP_DEBUG=1 /usr/sbin/NetworkManager --no-daemon
[sudo] password for ufa: 
NetworkManager: <info> starting...
NetworkManager: <info> modem-manager is now available
NetworkManager:    ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
NetworkManager: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2008 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
NetworkManager: <info> found WiFi radio killswitch rfkill0 (at /sys/devices/pci0000:00/0000:00:1c.2/0000:05:00.0/ssb0:0/ieee80211/phy0/rfkill0) (driver <unknown>)
NetworkManager: <info> WiFi disabled by radio killswitch; enabled by state file
NetworkManager: <info> WWAN enabled by radio killswitch; disabled by state file
NetworkManager: <info> WiMAX enabled by radio killswitch; enabled by state file
NetworkManager: <info> Networking is enabled by state file
NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-eth0 ... 
NetworkManager:    ifcfg-rh:     read connection 'System eth0'
NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-wlan0 ... 
NetworkManager:    ifcfg-rh:     error: Missing SSID
NetworkManager:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 
NetworkManager: <info> (eth0): carrier is OFF
NetworkManager: <info> (eth0): new Ethernet device (driver: 'tg3')
NetworkManager: <info> (eth0): exported as /org/freedesktop/NetworkManager/Devices/0
NetworkManager: <info> (eth0): now managed
NetworkManager: <info> (eth0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info> (eth0): bringing up device.
NetworkManager: <info> (eth0): preparing device.
NetworkManager: <info> (eth0): deactivating device (reason: 2).
NetworkManager: <info> (wlan0): driver supports SSID scans (scan_capa 0x01).
NetworkManager: <info> (wlan0): new 802.11 WiFi device (driver: 'b43')
NetworkManager: <info> (wlan0): exported as /org/freedesktop/NetworkManager/Devices/1
NetworkManager: <info> (wlan0): now managed
NetworkManager: <info> (wlan0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info> (wlan0): bringing up device.
NetworkManager: <info> (wlan0): deactivating device (reason: 2).
NetworkManager: <info> (usb0): carrier is OFF
NetworkManager: <info> (usb0): new Ethernet device (driver: 'cdc_ether')
NetworkManager: <info> (usb0): exported as /org/freedesktop/NetworkManager/Devices/2
NetworkManager: <info> (usb0): now managed
NetworkManager: <info> (usb0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info> (usb0): bringing up device.
NetworkManager: <info> (usb0): preparing device.
NetworkManager: <info> (usb0): deactivating device (reason: 2).
NetworkManager: <info> Added default wired connection 'Auto usb0' for /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-1/1-1:1.8/net/usb0
NetworkManager: <warn> /sys/devices/virtual/net/pan0: couldn't determine device driver; ignoring...
-- Error received: File exists
-- Original message: type=0x14 length=56 flags=<REQUEST,ACK,ATOMIC> sequence-nr=1272368554 pid=4196523
NetworkManager: <info> (ttyACM0): new GSM device (driver: 'cdc_acm')
NetworkManager: <info> (ttyACM0): exported as /org/freedesktop/NetworkManager/Devices/3
NetworkManager: <info> (ttyACM0): now managed
NetworkManager: <info> (ttyACM0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info> (ttyACM0): deactivating device (reason: 2).
NetworkManager: <warn> bluez error getting default adapter: No such adapter
NetworkManager: <info> (ttyACM0): device state change: 2 -> 3 (reason 0)
NetworkManager: <info> Activation (ttyACM0) starting connection 'Vivo Padrão 1'
NetworkManager: <info> (ttyACM0): device state change: 3 -> 4 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> (ttyACM0): device state change: 4 -> 6 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> (ttyACM0): device state change: 6 -> 4 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <warn> GSM modem enable failed: (32) Serial command timed out
NetworkManager: <info> (ttyACM0): device state change: 4 -> 9 (reason 28)
NetworkManager: <info> Marking connection 'Vivo Padrão 1' invalid.
NetworkManager: <warn> Activation (ttyACM0) failed.
NetworkManager: <info> (ttyACM0): device state change: 9 -> 3 (reason 0)
NetworkManager: <info> (ttyACM0): deactivating device (reason: 0).



NetworkManager: <info> Activation (ttyACM0) starting connection 'Vivo Padrão 1'
NetworkManager: <info> (ttyACM0): device state change: 3 -> 4 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> (ttyACM0): device state change: 4 -> 6 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> (ttyACM0): device state change: 6 -> 4 (reason 0)
NetworkManager: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <warn> GSM modem enable failed: (32) Serial command timed out
NetworkManager: <info> (ttyACM0): device state change: 4 -> 9 (reason 28)
NetworkManager: <info> Marking connection 'Vivo Padrão 1' invalid.
NetworkManager: <warn> Activation (ttyACM0) failed.
NetworkManager: <info> (ttyACM0): device state change: 9 -> 3 (reason 0)
NetworkManager: <info> (ttyACM0): deactivating device (reason: 0).
Comment 12 Dan Williams 2010-06-28 18:28:28 EDT
Update: I've bought and N900 and will definitely be testing this out next week.  Since the N900 will be my main phone, you can be assured that I'll make this work.
Comment 13 Dan Williams 2010-07-09 15:58:55 EDT
Actually a modem-manager issue, N900 appears to require a bit more inter-character time on the serial port.  Upstream MM fix is:

56665c19af431234ebe1b22cff9f0f9b9fb3d02f
Comment 14 ufa 2010-07-27 09:25:28 EDT
Seems that fix didn't reach Fedora, as of today. Can anyone confirm this?
Comment 15 ufa 2010-08-23 07:59:54 EDT
Now with ModemManager-0.4-4.git20100720.fc13.i686 package, I can connect successfully. 
Thank you very much :)
Comment 16 Claudio Saavedra 2011-06-11 08:31:53 EDT
I'm hitting this in F15 with the N900 as well. MM 0.4-8.git20110427.fc15 . Any idea?
Comment 17 ufa 2011-06-11 09:29:56 EDT
Claudio,
I'm having again this problem. 
I think it may be a regression.
How can I re open  it?
Comment 18 ufa 2011-06-11 09:30:53 EDT
ModemManager-0.4-8.git20110427.fc15.x86_64
Comment 19 ufa 2011-06-20 11:40:30 EDT
Cannot use it on KDE neither :(
Comment 20 Matthias Summer 2011-06-28 16:35:07 EDT
Same problem here: ModemManager-0.4.997-1.fc15.x86_64

dmesg-output:
[ 5136.697156] usb 2-2: new high speed USB device using ehci_hcd and address 8
[ 5136.812269] usb 2-2: New USB device found, idVendor=0421, idProduct=01c8
[ 5136.812279] usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 5136.812286] usb 2-2: Product: N900 (PC-Suite Mode)
[ 5136.812292] usb 2-2: Manufacturer: Nokia
[ 5136.815930] cdc_acm 2-2:1.6: This device cannot do calls on its own. It is not a modem.
[ 5136.816184] cdc_acm 2-2:1.6: ttyACM0: USB ACM device
[ 5136.818273] cdc_ether 2-2:1.8: usb0: register 'cdc_ether' at usb-0000:00:1d.7-2, CDC Ethernet Device, 86:21:77:37:ac:3f

The n900 is in "PC Suite" mode.
Comment 21 Dan Williams 2011-07-06 16:48:42 EDT
Turns out the original fix was not correct.  I've pushed what I think is the actual correct fix upstream now as:

commit 46d757faa768db7d7bb23d51cc2af3196f7a7e30
Date:   Wed Jul 6 13:13:41 2011 -0500

    gsm: send init command twice to make the N900 happy (rh #583691) (lp:765516)
Comment 22 Fedora Update System 2011-07-06 19:11:26 EDT
ModemManager-0.4.998-1.git20110706.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ModemManager-0.4.998-1.git20110706.fc15
Comment 23 Fedora Update System 2011-07-08 14:04:02 EDT
Package ModemManager-0.4.998-1.git20110706.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ModemManager-0.4.998-1.git20110706.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/ModemManager-0.4.998-1.git20110706.fc15
then log in and leave karma (feedback).
Comment 24 Dan Williams 2011-07-11 20:08:54 EDT
*** Bug 637138 has been marked as a duplicate of this bug. ***
Comment 25 Fedora Update System 2011-07-11 23:29:27 EDT
ModemManager-0.4.998-1.git20110706.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ModemManager-0.4.998-1.git20110706.fc14
Comment 26 Bernie Innocenti 2011-07-12 12:32:51 EDT
Not sure if it still matters, but my personal work-around for this bug was:

 1. open minicom on ttyACM0
 2. type ENTER, then ATZ
 3. close minicom
 4. bring up the 3G connection normally from nm-applet
Comment 27 Keywan Najafi Tonekaboni 2011-07-13 08:05:12 EDT
Hi,

I can confirm, that the N900 works as a modem via USB on FC15 with ModemManager-0.4.998-1.git20110706.fc15

Thanks for the fix,

Keywan
Comment 28 Fedora Update System 2011-07-18 18:36:44 EDT
ModemManager-0.4.998-1.git20110706.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Dan Williams 2011-07-18 18:55:57 EDT
*** Bug 706423 has been marked as a duplicate of this bug. ***
Comment 30 Fedora Update System 2011-11-24 20:57:59 EST
ModemManager-0.4.998-1.git20110706.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.